Query parameters
-
Maximum order age (in days).
Default value is
120. -
Comma-separated list of PaymentStatus values for filtering (example:
PAID,PAID_PARTIALorUNPAID). -
Minimum date of last Posting. Note that when using this parameter, only orders will be returned that contain Postings (i.e. orders without Postings that have been set paid manually will not be returned).
-
Set to true to include the list of Postings in the response.
Default value is
false. -
Set to true to include the list of collection events in the response.
Default value is
false. -
Set to true to include the list of payment reminders in the response.
Default value is
false. -
Set to true to include the list of refunds in the response.
Default value is
false.
GET
/orders
curl \
--request GET 'https://ssl.komfortkasse.eu/api/v2/orders' \
--header "X-Komfortkasse-API-Key: $API_KEY"
Response examples (200)
[
{
"date": "25-04-2018",
"customerEmail": "max@example.org",
"customerNumber": "7890",
"type": "INVOICE",
"paymentMethod": "banktransfer",
"paymentMethodDescription": "Payment by Invoice",
"statusDescription": "shipped",
"amount": 22.38,
"currency": "EUR",
"exchangeRate": 1.0,
"language": "de",
"items": [
{
"number": "1826353",
"name": "T-Shirt"
},
{
"number": "7633-black",
"name": "Jeans black"
}
],
"invoiceNumbers": [
"100072533"
],
"shippingNumbers": [
"897126743438923093287376"
],
"billing": {
"gender": "male",
"firstName": "Max",
"lastName": "Mustermann",
"street": "Bahnhofstr. 14",
"postCode": "63073",
"city": "Offenbach am Main",
"countryCode": "DE",
"phone": "+49 8033 603 9778"
},
"shipping": {
"gender": "company",
"company": "Mustermann GmbH",
"street": "Industriestr. 33",
"postCode": "63073",
"city": "Offenbach am Main",
"countryCode": "DE"
},
"number": "123456",
"referenceNumber": "K1234A",
"paymentStatus": "UNPAID"
}
]
Response examples (400)
{
"error": "Invalid request"
}
Response examples (401)
{
"error": "API Key missing"
}
Response examples (404)
{
"error": "Order not found"
}